Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
vanmanh192hd

[Lisp] Tạo Block Siêu Nhanh

Các bài được khuyến nghị

Chào tất cả anh em

Mình thấy việc tạo block trong autocad cũng mất kha khá thời gian, bác nào có cách tạo block nhanh mà không cần thông qua hộp thoại không ?. ví dụ : gọi lệnh => nhập tên block => chọn điểm gốc => chọn đối tượng =. xong

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào tất cả anh em

Mình thấy việc tạo block trong autocad cũng mất kha khá thời gian, bác nào có cách tạo block nhanh mà không cần thông qua hộp thoại không ?. ví dụ : gọi lệnh => nhập tên block => chọn điểm gốc => chọn đối tượng =. xong

_copyclip

 

CHON DOI TUONG

 

_pasteblock

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- : lệnh ở phiên bản không hộp thoại
_ : lệnh ở phiên bản tiếng Anh

Nếu bạn cần code thì quick code đây :

(defun c:QB (/ ss n p)
	(while (and (setq n (getstring T "\Block name :"))(tblsearch "BLOCK" n)))
	(setq ss (ssget "_:L"))
	(setq p (getpoint "\n Specify insertion point :"))
	(vl-cmdf "_.-Block" n "_non" p ss "")
	(vl-cmdf "_.-insert" n "non" p "" "" "")
	(princ)
)
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×